petsc-3.4.2 2013-07-02

# PetscErrorPrintf

Prints error messages.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode (*PetscErrorPrintf)(const char format[],...);

Not Collective

### Input Parameters

format -the usual printf() format string

### Options Database Keys

| -error_output_stdout | - cause error messages to be printed to stdout instead of the (default) stderr
| -error_output_none to turn off all printing of error messages (does not change the way the | - error is handled.)

Notes: Use

        PetscErrorPrintf = PetscErrorPrintfNone; to turn off all printing of error messages (does not change the way the

                           error is handled.) and

        PetscErrorPrintf = PetscErrorPrintfDefault; to turn it back on

           of you can use your own function

Use PETSC_STDERR = FILE* obtained from a file open etc. to have stderr printed to the file. PETSC_STDOUT = FILE* obtained from a file open etc. to have stdout printed to the file.

Use PetscPushErrorHandler() to provide your own error handler that determines what kind of messages to print

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscFPrintf(), PetscSynchronizedPrintf(), PetscHelpPrintf(), PetscPrintf(), PetscErrorHandlerPush(), PetscVFPrintf(), PetscHelpPrintf()

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages